## arts-trinity 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### project settings ##########################

project( arts )

set( ARTS_MAJOR_VERSION 1 )
set( ARTS_MINOR_VERSION 5 )
set( ARTS_MICRO_VERSION 10 )
set( ARTS_VERSION "${ARTS_MAJOR_VERSION}.${ARTS_MINOR_VERSION}.${ARTS_MICRO_VERSION}" )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckPrototypeDefinition )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_ALSA "Enable ALSA support" ON )
option( WITH_AUDIOFILE "Enable audiofile (wav) support" ON )
option( WITH_VORBIS "Enable Ogg/Vorbis support" ON )
option( WITH_MAD "Enable MAD mp3 decoder support" ON )
option( WITH_ESOUND "Enable ESOUND support" ${WITH_ALL_OPTIONS} )
option( WITH_JACK "Enable JACK support" ${WITH_ALL_OPTIONS} )
option( WITH_SNDIO "Enable SNDIO support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

option( BUILD_ALL "Build all" ON )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )


##### configure checks

set( PC_LIB_REQUIRE "" CACHE INTERNAL "List of required packages" FORCE )
include( ConfigureChecks.cmake )


##### global compiler settings ##################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )


##### project subdirectories ####################

add_subdirectory( libltdl )
add_subdirectory( mcop )
add_subdirectory( mcopidl )
add_subdirectory( flow )
add_subdirectory( mcop_mt )
add_subdirectory( soundserver )
add_subdirectory( artsc )
add_subdirectory( gmcop )
add_subdirectory( qtmcop )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )


##### write config.h file #######################

configure_file( config.h.cmake config.h @ONLY )


##### write pkgconfig file ######################

list( LENGTH PC_LIB_REQUIRE PC_LIB_REQUIRES_FOUND )
if( PC_LIB_REQUIRES_FOUND GREATER 0 )
  list( SORT PC_LIB_REQUIRE )
  list( REMOVE_DUPLICATES PC_LIB_REQUIRE )
  string( REPLACE ";" " " PC_LIB_REQUIRES "Requires: ${PC_LIB_REQUIRE}" )
else( )
  set( PC_LIB_REQUIRES "" )
endif( )

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
configure_file( arts.pc.cmake arts.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/arts.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )

## arts-trinity 3.5.13.2

=== debian/changelog ===
arts-trinity (4:3.5.13.2-0ubuntu12.04.0+1) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Jul 2013 03:31:13 +0200

arts-trinity (1.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Fixed conflicts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Nov 2008 13:20:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid3) intrepid; urgency=low

  * Altered prefix for Trinity.5

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 20 Nov 2008 17:48:45 -0600

arts (1.5.10-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 21 Aug 2008 16:04:08 +0200

arts (1.5.9-2ubuntu3) intrepid; urgency=low

  * Add kubuntu_01_fix_build.diff from Steve Langasek, fixes build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 19:11:03 +0100

arts (1.5.9-2ubuntu2) intrepid; urgency=low

  * Change libarts1-akode from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 16:32:27 +0100

arts (1.5.9-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - No jack build-dep
    - No libmad build-dep
    - libarts1-dev not depend on jack or libmad
  * debian/control: Remove oss-compat dependency from libarts1c2a as it is in
    universe.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 03 Jun 2008 11:49:39 +1000

arts (1.5.9-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:
 
  * Bump shlibs to 1.5.9.
  * Conflict with automake-dirty kdelibs4c2a (Closes: #473375).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Mar 2008 14:23:49 +0300

arts (1.5.9-1lenny1) testing-proposed-updates; urgency=low

  * Disable 01_admin_cleanup.diff and 97_automake_cleanup.diff patches
  * Rebuild 98_buildprep.diff
  * Going to t-p-u to fix breakage in testing as kdelibs is not going into
    testing anytime soon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Mar 2008 13:30:01 +0200

arts (1.5.9-1) unstable; urgency=low

  * New upstream release:
    - Update to build with GCC 4.3 (Closes: #454821)
  * Add Vcs-Browser and Vcs-Svn fields.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version 3.7.3:
    - Replace Source-Version for proper variables.
  * Some updates in the copyright file.

  +++ Changes by Fathi Boudra:

  * Add oss-compat dependency to libarts1c2a. (Closes: #386582)
  * Add artsdsp manpage. (Closes: #405159)
  * Add patches:
    - 12_cleanup_artsc-config. (Closes: #375803)
      Remove spurious dependencies in the output of artsc-config.
    - 13_check_tmp_dir. (Closes: #415154)
      Create tmp_dir if non existent.
    - 14_remove_config.h_headers. (Closes: #428987)
      Do not include config.h in shipped header files.
    - 15_no_warning. Merged from Ubuntu.
      Do not show null device warning.
      kmix makes it obvious if sound isn't working.
  
  +++ Changes by Modestas Vainius:
  
  * Add automake cleanup patches: 01_admin_cleanup.diff and
    97_automake_cleanup.diff
  * Disable -Wl,--as-needed for the moment.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Feb 2008 21:12:44 +0200

arts (1.5.9-0ubuntu2) hardy; urgency=low

  * Patch to fix the issue reported in RedHat bugzilla bug #169631 to create
    a temp dir if it doesn't exist. (LP: #55973)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 12 Mar 2008 21:11:56 +1100

arts (1.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:26:34 +0000

arts (1.5.8-1ubuntu2) hardy; urgency=low

  * Fix build errors with g++-4.3, dropped with upload of the new
    upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:44:31 +0000

arts (1.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - No jack build-dep
   - No libmad build-dep
   - kubuntu_01_no_warning.diff
   - libarts1-dev not depend on jack or libmad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Nov 2007 03:22:30 +0000

arts (1.5.8-1) unstable; urgency=low

  * New upstream release:
    - Remove patch: 12_qtmcop_notifications_on_demand, merged upstream.
  * Implement use of uploaders.mk

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Oct 2007 20:56:17 +0200

arts (1.5.7-2) unstable; urgency=low

  +++ Fathi Boudra:

  * Apply patch from Matthias Kretz to reduce power usage.
  * Add myself to uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 May 2007 14:27:42 +0200

arts (1.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 09 Oct 2007 09:35:48 +0100

arts (1.5.7-1ubuntu3) gutsy; urgency=low

  * Fix build errors with g++-4.3. LP: #138556.
  * Work around redefinition of glib macros.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 22:42:06 +0000

arts (1.5.7-1ubuntu2) gutsy; urgency=low

  * kubuntu_01_qtmcop_notifications_on_demand.diff: include patch from
    Matthias Kretz to reduce number of knotify wake-ups (from 20/sec to
    1/sec). Should reduce power usage for idle system.

 -- Luka Renko <lure@ubuntu.com>  Sat, 26 May 2007 22:16:37 +0200

arts (1.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-CHANGES

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 21 May 2007 12:09:06 +1000

arts (1.5.7-1) unstable; urgency=low

  * New upstream release:


=== debian/control ===
Source: arts-trinity
Section: libs
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Priority: optional
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs (>= 0.4.48), debhelper (>= 6), quilt,
 docbook-to-man, gawk, gettext, sharutils, texinfo,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaudio-dev, libaudiofile-dev, libesd0-dev, libglib2.0-dev, libmad0-dev,
 libogg-dev, libtqtinterface-dev,
 libvorbis-dev, cmake, libltdl-dev
Build-Conflicts: libmas-dev
Standards-Version: 3.8.4

Package: arts-trinity
Architecture: all
Section: sound
Replaces: arts-kde3 (<< 4:3.5.13)
Breaks: arts-kde3 (<< 4:3.5.13)
Depends: libartsc0-trinity (>= ${source:Version}), libarts1c2a-trinity (>= ${source:Version})
Description: sound system from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the complete aRts sound system, without
 development packages. aRts is the core sound system for Trinity.

Package: libarts1c2a-trinity
Architecture: any
Section: libs
Replaces: libarts1c2a-kde3 (<< 4:3.5.13)
Breaks: libarts1c2a-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: libarts1-akode-trinity
Description: aRts sound system core components
 aRts is a short form for "analog realtime synthesizer". aRts is highly
 modular, creating and processing sound using small modules performing
 specific tasks. These may create a waveform (oscillators), play samples,
 filter data, add signals, perform effects like delay/flanger/chorus, or
 output the data to the soundcard.
 .
 This package contains the aRts sound system, its libraries and binaries,
 including the aRts daemon, artsd.
 .
 The 'akode' package adds several plug-ins to arts that can dramatically
 improve performance and help maintain uninterrupted playback. Its use
 with aRts is recommended.
 .
 This package is part of KDE, and a component of the KDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libarts1-trinity-dev
Architecture: any
Section: libdevel
Replaces: libarts1-kde3-dev (<< 4:3.5.13)
Breaks: libarts1-kde3-dev (<< 4:3.5.13)
Depends: libarts1c2a-trinity (= ${binary:Version}), libartsc0-trinity-dev (= ${binary:Version}), ${libasound2-dev}, libaudio-dev, libaudiofile-dev, libesd0-dev, libglib2.0-dev, libogg-dev, libvorbis-dev, libtqtinterface-dev
Description: development files for the aRts sound system core components
 This package contains the header files needed to build applications that
 use the aRts sound system.
 .
 This package is part of KDE, and a component of the KDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity
Architecture: any
Section: libs
Replaces: libartsc0-kde3 (<< 4:3.5.13)
Breaks: libartsc0-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: aRts sound system C support library
 This package contains the C bindings for the aRts sound daemon.
 .
 This package is part of KDE, and a component of the KDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity-dev
Architecture: any
Section: libdevel
Replaces: libartsc0-kde3-dev (<< 4:3.5.13)
Breaks: libartsc0-kde3-dev (<< 4:3.5.13)
Depends: libartsc0-trinity (= ${binary:Version}), libglib2.0-dev
Description: development files for the aRts sound system C support library
 This package contains the header files needed to build applications that
 use the aRts sound daemon's C bindings.
 .
 This package is part of KDE, and a component of the KDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: arts-trinity-dbg
Section: libdevel
Architecture: any
Replaces: arts-kde3-dbg (<< 4:3.5.13)
Breaks: arts-kde3-dbg (<< 4:3.5.13)
Priority: extra
Depends: libarts1c2a-trinity (= ${binary:Version})
Description: debugging symbols for arts
 This package contains the debugging symbols associated with arts.
 They will automatically be used by gdb for debugging arts-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := libarts1c2a-trinity libartsc0-trinity

DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_SHLIBDEPS_INCLUDE = $(foreach p,$(PACKAGES_WITH_LIBS),debian/$(p)/opt/trinity/lib)

DEB_DH_MAKESHLIBS_ARGS_libarts1c2a-trinity	:= -V'libarts1c2a-trinity (>= 1.5.9)'
DEB_DH_MAKESHLIBS_ARGS_libartsc0-trinity	:= -V'libartsc0-trinity (>= 1.5.9)'

#shlibs_ver = 1.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/libarts1-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	    echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/libarts1-dev.substvars
endif

## arts-trinity 3.5.13.3~pre84

=== debian/changelog ===
arts-trinity (4:3.5.13.3~pre84-0debian7.0.0+4) wheezy; urgency=low

  * Automated git build for 63d859949649bbc41dd805b3f06376eb0d96e99a

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:26 +0200

## arts-trinity 3.5.13.3~pre85

=== debian/changelog ===
arts-trinity (4:3.5.13.3~pre85-0debian10.0.0+4) buster; urgency=low

  * Automated git build for b19700f15862cd1ebd7fc47ac8b2b8b7a5e59914

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:41 +0100

=== debian/control ===
Source: arts-trinity
Section: libs
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/TDE Maintainers <debian-qt-tde@lists.debian.org>
Priority: optional
Uploaders: Adeodato Simó <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build,
 docbook-to-man, texinfo,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaudio-dev, libaudiofile-dev, libglib2.0-dev, libmad0-dev,
 libogg-dev, libtqtinterface-dev,
 libvorbis-dev, libltdl-dev
Build-Conflicts: libmas-dev
Standards-Version: 3.8.4

Package: arts-trinity
Architecture: all
Section: sound
Depends: libartsc0-trinity (>= ${source:Version}), libarts1c2a-trinity (>= ${source:Version})
Description: sound system from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the complete aRts sound system, without
 development packages. aRts is the core sound system for Trinity.

Package: libarts1c2a-trinity
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libarts1-akode-trinity
Multi-Arch: same
Description: aRts sound system core components
 aRts is a short form for "analog realtime synthesizer". aRts is highly
 modular, creating and processing sound using small modules performing
 specific tasks. These may create a waveform (oscillators), play samples,
 filter data, add signals, perform effects like delay/flanger/chorus, or
 output the data to the soundcard.
 .
 This package contains the aRts sound system, its libraries and binaries,
 including the aRts daemon, artsd.
 .
 The 'akode' package adds several plug-ins to arts that can dramatically
 improve performance and help maintain uninterrupted playback. Its use
 with aRts is recommended.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libarts1-trinity-dev
Architecture: any
Section: libdevel
Depends: libarts1c2a-trinity (= ${binary:Version}), libartsc0-trinity-dev (= ${binary:Version}), ${libasound2-dev}, libaudio-dev, libaudiofile-dev, libglib2.0-dev, libogg-dev, libvorbis-dev, libmad0-dev, libtqtinterface-dev
Description: development files for the aRts sound system core components
 This package contains the header files needed to build applications that
 use the aRts sound system.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Multi-Arch: same
Description: aRts sound system C support library
 This package contains the C bindings for the aRts sound daemon.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity-dev
Architecture: any
Section: libdevel
Depends: libartsc0-trinity (= ${binary:Version}), libglib2.0-dev
Description: development files for the aRts sound system C support library
 This package contains the header files needed to build applications that
 use the aRts sound daemon's C bindings.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'kde-trinity' and 'arts-trinity' packages for more information.

Package: arts-trinity-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libarts1c2a-trinity (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for arts
 This package contains the debugging symbols associated with arts.
 They will automatically be used by gdb for debugging arts-related
 issues.

=== debian/rules ===
--- 
+++ 
@@ -10,21 +10,12 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
-include /usr/share/cdbs/1/rules/utils.mk
-include debian/cdbs/debian-qt-kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
-# never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
-
 DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 PACKAGES_WITH_LIBS := libarts1c2a-trinity libartsc0-trinity
 
@@ -41,6 +32,6 @@
 
 binary-predeb/libarts1-trinity-dev::
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-	    echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/libarts1-dev.substvars
+	    echo "libasound2-dev=libasound2-dev" >> debian/libarts1-trinity-dev.substvars
 endif

## arts-trinity 14.1.0

=== debian/changelog ===
arts-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## arts-trinity 14.1.1

=== debian/changelog ===
arts-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:12:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,21 @@
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
 
-DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
--DCMAKE_BUILD_TYPE=RelWithDebInfo
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
+ -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" \
+ -DLIB_SUFFIX="" \
+ -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
+ -DCONFIG_INSTALL_DIR="/etc/trinity" \
+ -DSYSCONF_INSTALL_DIR="/etc/trinity" \
+ -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
+ -DCMAKE_INCLUDE_PATH="/opt/trinity/include/tde" \
+ -DAUTODETECT_QT_DIRS="ON" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DBUILD_ALL="ON" \
+ -DCMAKE_SKIP_RPATH="OFF" \
+ -DWITH_GCC_VISIBILITY="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg
 
@@ -34,4 +47,3 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	    echo "libasound2-dev=libasound2-dev" >> debian/libarts1-trinity-dev.substvars
 endif
-

## arts-trinity 14.1.2

=== debian/changelog ===
arts-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:54:57 +0100

## arts-trinity 14.1.3

=== mcop_mt/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/flow
  ${CMAKE_BINARY_DIR}/mcop
  ${CMAKE_SOURCE_DIR}/flow
  ${CMAKE_SOURCE_DIR}/mcop
  ${GLIB2_INCLUDE_DIRS}
)


##### mcop_mt (shared lib ) #####################

tde_add_library( mcop_mt SHARED
  SOURCES threads_posix.cpp
  VERSION 1.0.0
  LINK artsflow-shared pthread
  DESTINATION ${LIB_INSTALL_DIR}
)

=== debian/changelog ===
arts-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 08 Oct 2024 11:49:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
+
+DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
+ifeq ($(DEB_TIME64_API),true)
+DEB_TIME64_SUFFIX	= t64
+else
+DEB_TIME64_SUFFIX	= c2a
+endif
+
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
@@ -30,13 +38,13 @@
 
 DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg
 
-PACKAGES_WITH_LIBS := libarts1c2a-trinity libartsc0-trinity
+PACKAGES_WITH_LIBS := libarts1$(DEB_TIME64_SUFFIX)-trinity libartsc0-trinity
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 DEB_SHLIBDEPS_INCLUDE = $(foreach p,$(PACKAGES_WITH_LIBS),debian/$(p)/opt/trinity/lib)
 
-DEB_DH_MAKESHLIBS_ARGS_libarts1c2a-trinity	:= -V'libarts1c2a-trinity (>= 1.5.9)'
-DEB_DH_MAKESHLIBS_ARGS_libartsc0-trinity	:= -V'libartsc0-trinity (>= 1.5.9)'
+DEB_DH_MAKESHLIBS_ARGS_libarts1$(DEB_TIME64_SUFFIX)-trinity	:= -V'libarts1$(DEB_TIME64_SUFFIX)-trinity (>= 1.5.9)'
+DEB_DH_MAKESHLIBS_ARGS_libartsc0-trinity			:= -V'libartsc0-trinity (>= 1.5.9)'
 
 #shlibs_ver = 1.5.0-1
 #$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))
@@ -47,3 +55,40 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	    echo "libasound2-dev=libasound2-dev" >> debian/libarts1-trinity-dev.substvars
 endif
+
+post-patches::
+	dh_testdir
+ifeq ($(DEB_TIME64_API),true)
+	# update library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "/libarts1c2a" | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libarts1$(DEB_TIME64_SUFFIX)$${a##*c2a} && mv $$a $$a.t64); \
+	done
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libarts1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libarts1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libarts1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+endif
+
+clean::
+	dh_testdir
+	dh_clean
+
+ifeq ($(DEB_TIME64_API),true)
+	# revert library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "\.t64$$" | \
+	while read a; do \
+	    mv $$a $${a%.t64}; \
+	done
+	ls -d debian/* | \
+	grep -E "/libarts1$(DEB_TIME64_SUFFIX)-" | \
+	xargs -r rm
+	[ ! -f debian/control.t64 ] || \
+	mv debian/control.t64 debian/control
+endif

## arts-trinity 14.1.4

=== debian/changelog ===
arts-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,13 @@
 	ls -d debian/* | \
 	grep -E "/libarts1$(DEB_TIME64_SUFFIX)-" | \
 	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libarts1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libarts1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libarts1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+else
 	[ ! -f debian/control.t64 ] || \
 	mv debian/control.t64 debian/control
 endif

## arts-trinity 14.1.5~pre0

=== debian/changelog ===
arts-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9de952a545eb8dbd854ea151f1664d1c4408d0fb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## arts-trinity 14.1.5

=== gmcop/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}/mcop
  ${CMAKE_SOURCE_DIR}/mcop
  ${GLIB2_INCLUDE_DIRS}
)


##### headers ###################################

install(
  FILES giomanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )


##### gmcop (shared lib) ########################

tde_add_library( gmcop SHARED
  SOURCES giomanager.cpp
  VERSION 1.0.0
  LINK mcop-shared ${GLIB2_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== qtmcop/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  ${TQT_CFLAGS_OTHER}
)

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/mcop
  ${CMAKE_SOURCE_DIR}/mcop
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install(
  FILES qiomanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )


##### qtmcop ##############################

set( qtmcop_SRCS qiomanager.cpp )

tde_add_library( qtmcop SHARED AUTOMOC
  SOURCES ${qtmcop_SRCS}
  VERSION 1.0.0
  LINK mcop-shared ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== flow/mcopclass/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    Synth_ADD.mcopclass Synth_FREQUENCY.mcopclass
    Synth_MUL.mcopclass Synth_MULTI_ADD.mcopclass
    Synth_PLAY.mcopclass Synth_RECORD.mcopclass
    Synth_PLAY_WAV.mcopclass Synth_WAVE_SIN.mcopclass
    Synth_BUS_DOWNLINK.mcopclass Synth_BUS_UPLINK.mcopclass
    Synth_AMAN_PLAY.mcopclass Synth_AMAN_RECORD.mcopclass
    DataHandlePlay.mcopclass WaveDataHandle.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts )

=== debian/changelog ===
arts-trinity (4:14.1.5-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 export LD_LIBRARY_PATH
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
 ifeq ($(DEB_TIME64_API),true)

## arts-trinity 14.1.6~pre0

=== debian/changelog ===
arts-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9de952a545eb8dbd854ea151f1664d1c4408d0fb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## arts-trinity 14.1.6~pre2

=== debian/changelog ===
arts-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 36432287e4d141e8536877b97ad441e00a37d20a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:15:56 +0100

## arts-trinity 14.1.6~pre4

=== debian/changelog ===
arts-trinity (4:14.1.6~pre4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for 9d2233866a07b2e7d356247cd6551ccb93489be2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:16:21 +0100

## arts-trinity 14.1.6~pre6

=== debian/changelog ===
arts-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1e6d709fd9ef9799a0352d070269646f92053aad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:18 +0100

## arts-trinity 14.1.6~pre8

=== flow/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mcopclass )
add_subdirectory( gsl )
add_subdirectory( gslpp )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/artsc
  ${CMAKE_BINARY_DIR}/mcop
  ${CMAKE_SOURCE_DIR}/mcop
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${GLIB2_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    audiosubsys.h cache.h cachedwav.h convert.h
    pipebuffer.h stdsynthmodule.h synthschedule.h
    fft.h artsflow.idl audioio.h resample.h cpuinfo.h
    bufferqueue.h gslschedule.h
    ${CMAKE_CURRENT_BINARY_DIR}/artsflow.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )


##### other data ################################

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/artsflow.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/artsflow.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop )


##### artsflow (shared lib) #####################

set( target artsflow )

set( ${target}_SRCS
  synth_play_impl.cpp gslschedule.cpp audiosubsys.cpp
  pipebuffer.cpp convert.cpp synth_wave_sin_impl.cpp
  synth_frequency_impl.cpp synth_multi_add_impl.cpp
  synth_add_impl.cpp synth_mul_impl.cpp synth_play_wav_impl.cpp
  stdsynthmodule.cpp cache.cpp asyncschedule.cpp bytestreamtoaudio_impl.cpp
  stereovolumecontrol_impl.cpp stereoeffectstack_impl.cpp
  fft.c stereofftscope_impl.cpp virtualports.cpp bus.cpp
  audiomanager_impl.cpp synth_record_impl.cpp resample.cpp
  audioio.cpp audioiooss.cpp audioioalsa.cpp
  audioionull.cpp audioiolibaudioio.cpp audioioesd.cpp audioiosndio.cpp
  audioiojack.cpp audioiosun.cpp audioioaix.cpp audioionas.cpp
  cpuinfo.cpp audioioossthreaded.cpp audiotobytestream_impl.cpp
  audioiocsl.cpp audioiomas.cpp datahandle_impl.cpp
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK artsgsl-static artsgslpp-static artsflow_idl-shared ${AUDIOFILE_LIBRARIES} ${LIBJACK_LIBRARIES} ${LIBSNDIO_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

##### artsflow_idl (shared lib) #################

add_custom_command(
  OUTPUT artsflow.cpp
  COMMAND ../mcopidl/mcopidl
  ARGS -t ${CMAKE_CURRENT_SOURCE_DIR}/artsflow.idl DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/artsflow.idl
)

tde_add_library( artsflow_idl SHARED
  SOURCES artsflow.cpp
  VERSION 1.0.0
  LINK mcop-shared ${ALSA_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
  DEPENDENCIES mcopidl
)

=== debian/changelog ===
arts-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 70b1fe5634a3e4447e6f1773dc91c366aedb8f81
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 15:05:48 +0100

## arts-trinity 14.2.0~pre47

=== debian/changelog ===
arts-trinity (4:14.2.0~pre47-0ubuntu24.04.0+9) noble; urgency=low

  * Automated git build for 9850c44dba54502ce58f9c8b361d88dea4aecd12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: arts-trinity
Section: libs
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/TDE Maintainers <debian-qt-tde@lists.debian.org>
Priority: optional
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 docbook-to-man, texinfo,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libaudio-dev, libaudiofile-dev, libglib2.0-dev, libmad0-dev,
 libogg-dev, libtqt3-mt-dev,
 libvorbis-dev, libltdl-dev
Build-Conflicts: libmas-dev
Standards-Version: 3.8.4

Package: arts-trinity
Architecture: all
Section: sound
Replaces: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
Breaks: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
Depends: libartsc0-trinity (>= ${source:Version}), libarts1c2a-trinity (>= ${source:Version}) | libarts1t64-trinity (>= ${source:Version})
Description: sound system from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the complete aRts sound system, without
 development packages. aRts is the core sound system for Trinity.

Package: libarts1c2a-trinity
Architecture: any
Section: libs
Replaces: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
Breaks: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: libarts1-akode-trinity
Multi-Arch: same
Description: aRts sound system core components
 aRts is a short form for "analog realtime synthesizer". aRts is highly
 modular, creating and processing sound using small modules performing
 specific tasks. These may create a waveform (oscillators), play samples,
 filter data, add signals, perform effects like delay/flanger/chorus, or
 output the data to the soundcard.
 .
 This package contains the aRts sound system, its libraries and binaries,
 including the aRts daemon, artsd.
 .
 The 'akode' package adds several plug-ins to arts that can dramatically
 improve performance and help maintain uninterrupted playback. Its use
 with aRts is recommended.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'tde-trinity' and 'arts-trinity' packages for more information.

Package: libarts1-trinity-dev
Architecture: any
Section: libdevel
Replaces: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
Breaks: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
Depends: libarts1c2a-trinity (= ${binary:Version}), libartsc0-trinity-dev (= ${binary:Version}), ${libasound2-dev}, libaudio-dev, libaudiofile-dev, libglib2.0-dev, libogg-dev, libvorbis-dev, libmad0-dev, libtqt3-mt-dev
Description: development files for the aRts sound system core components
 This package contains the header files needed to build applications that
 use the aRts sound system.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'tde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity
Architecture: any
Section: libs
Replaces: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
Breaks: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Multi-Arch: same
Description: aRts sound system C support library
 This package contains the C bindings for the aRts sound daemon.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'tde-trinity' and 'arts-trinity' packages for more information.

Package: libartsc0-trinity-dev
Architecture: any
Section: libdevel
Replaces: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
Breaks: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
Depends: libartsc0-trinity (= ${binary:Version}), libglib2.0-dev
Description: development files for the aRts sound system C support library
 This package contains the header files needed to build applications that
 use the aRts sound daemon's C bindings.
 .
 This package is part of TDE, and a component of the TDE aRts module.
 See the 'tde-trinity' and 'arts-trinity' packages for more information.

Package: arts-trinity-dbg
Section: libdevel
Architecture: any
Replaces: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
Breaks: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Depends: libarts1c2a-trinity (= ${binary:Version})
Multi-Arch: same
Description: debugging symbols for arts
 This package contains the debugging symbols associated with arts.
 They will automatically be used by gdb for debugging arts-related
 issues.

## arts-trinity 14.2.0~pre49

=== debian/changelog ===
arts-trinity (4:14.2.0~pre49-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for d6fd6ee0f8c528ac887068c5337c54b573f34742
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:25 +0100

## arts-trinity 14.2.0~pre50

=== debian/changelog ===
arts-trinity (4:14.2.0~pre50-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 247aa206ed81bfc3afa0484a502cd403bd5064ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 15:47:18 +0100

## arts-trinity 14.2.0~pre51

=== debian/changelog ===
arts-trinity (4:14.2.0~pre51-0raspbian11.0.0+9) raspbian-bullseye; urgency=low

  * Automated git build for d8e59c92c1ddd29d1bf9e4d4d5e1dc05494ed651
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: arts-trinity
 Architecture: all
 Section: sound
-Replaces: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
-Breaks: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
+Replaces: arts-trinity (<< 4:14.0.0~)
+Breaks: arts-trinity (<< 4:14.0.0~)
 Depends: libartsc0-trinity (>= ${source:Version}), libarts1c2a-trinity (>= ${source:Version}) | libarts1t64-trinity (>= ${source:Version})
 Description: sound system from the official TDE release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -31,8 +31,8 @@
 Package: libarts1c2a-trinity
 Architecture: any
 Section: libs
-Replaces: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
-Breaks: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
+Replaces: libarts1c2a-trinity (<< 4:14.0.0~)
+Breaks: libarts1c2a-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: libarts1-akode-trinity
 Multi-Arch: same
@@ -56,8 +56,8 @@
 Package: libarts1-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
-Breaks: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
+Replaces: libarts1-trinity-dev (<< 4:14.0.0~)
+Breaks: libarts1-trinity-dev (<< 4:14.0.0~)
 Depends: libarts1c2a-trinity (= ${binary:Version}), libartsc0-trinity-dev (= ${binary:Version}), ${libasound2-dev}, libaudio-dev, libaudiofile-dev, libglib2.0-dev, libogg-dev, libvorbis-dev, libmad0-dev, libtqt3-mt-dev
 Description: development files for the aRts sound system core components
  This package contains the header files needed to build applications that
@@ -69,8 +69,8 @@
 Package: libartsc0-trinity
 Architecture: any
 Section: libs
-Replaces: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
-Breaks: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
+Replaces: libartsc0-trinity (<< 4:14.0.0~)
+Breaks: libartsc0-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Multi-Arch: same
 Description: aRts sound system C support library
@@ -82,8 +82,8 @@
 Package: libartsc0-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
-Breaks: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
+Replaces: libartsc0-trinity-dev (<< 4:14.0.0~)
+Breaks: libartsc0-trinity-dev (<< 4:14.0.0~)
 Depends: libartsc0-trinity (= ${binary:Version}), libglib2.0-dev
 Description: development files for the aRts sound system C support library
  This package contains the header files needed to build applications that
@@ -95,8 +95,8 @@
 Package: arts-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
-Breaks: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
+Replaces: arts-trinity-dbg (<< 4:14.0.0~)
+Breaks: arts-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: libarts1c2a-trinity (= ${binary:Version})
 Multi-Arch: same

## arts-trinity 14.2.0~pre53

=== debian/changelog ===
arts-trinity (4:14.2.0~pre53-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 1e9483bb99736a042b43c8a63960194dcff0c692
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:01 +0100

## arts-trinity 14.2.0~pre55

=== debian/changelog ===
arts-trinity (4:14.2.0~pre55-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for e117a8a6cf51174e41374659f3ab9246c1ab7455
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 13:06:17 +0100
